Package org.kapott.hbci.tools

## Class UpdateBLZProperties

- java.lang.Object
- - org.kapott.hbci.tools.UpdateBLZProperties

    public class UpdateBLZProperties
    extends java.lang.Object

Util-Klasse, welche die FinTS-Bankenliste im CSV-Format (kann von http://www.hbci-zka.de/institute/institut_hersteller.htm bezogen werden) parst, un die aktualisierten Daten in die blz.properties von HBCI4Java uebernimmt.

### Constructor Summary

Constructors
`UpdateBLZProperties()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `main​(java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UpdateBLZProperties

    public UpdateBLZProperties()

### Method Detail

#### main

    public static void main​(java.lang.String[] args)
                     throws java.lang.Exception

Parameters:
  `args` - 1. Pfad/Dateiname zu "fints_institute.csv". 2. Pfad/Dateiname zu "blz.properties". 3. Pfad/Dateiname zur neuen "blz.properties". 4. optional: Pfad/Dateiname zur BLZ-Datei der Bundesbank. Falls angegeben, werden die eventuell vorhandene BIC-Updates übernommen
Throws:
  `java.lang.Exception`